Holger's Java API

## com.antelmann.sql
Class DBDocumentStore<T extends DBDocument>

    java.lang.Object
      com.antelmann.db.WrappedDBClassStore<T>
          com.antelmann.sql.DBDocumentStore<T>

All Implemented Interfaces:
  DBClassStore<T>, ProcessedFilterOption<T>, TransactionRequired, ProcessorHook<T,DatabaseException>, Wrapped<DBClassStore<T>>

    public class DBDocumentStore<T extends DBDocument>

extends WrappedDBClassStore<T>

Since:
  22.12.2009, 17:46:26
Author:
  Holger Antelmann

Nested Class Summary
`static class` `DBDocumentStore.DBColumn`
`static class` `DBDocumentStore.Mapper<T extends DBDocument>`

Nested classes/interfaces inherited from interface com.antelmann.db.DBClassStore
`DBClassStore.DBMethod`

Field Summary

Fields inherited from class com.antelmann.db.WrappedDBClassStore
`store`

Constructor Summary
`DBDocumentStore(Database<Connection> db, IDFactory idFactory, Class<T> type)` uses a table named 'dokumente'
`DBDocumentStore(Database<Connection> db, ObjectRowMapper<T> mapper, Class<T> type)`
`DBDocumentStore(Database<Connection> db, String tableName, String idColumn, String displayColumn, IDFactory idFactory, String query, Class<T> type)`

Method Summary
`RelationshipManager` `getRelationshipManager()`
`void` `setRelationshipManager(RelationshipManager rm)`

Methods inherited from class com.antelmann.db.WrappedDBClassStore

`add, checkReadAccess, checkWriteAccess, containsID, deleteEntries, deleteEntriesIndividually, deleteEntry, exposesInterfaces, fetch, fetchStubs, generateNewID, getAccessFilter, getAccessStubFilter, getDatabase, getEntry, getEntryClass, getFetchProcessor, getPreStoreHandler, getStoreHandler, getStub, getStubProcessor, insert, insertAsNew, isApplyFilterProcessingRecursively, isDeleteEntriesIndividually, isEnsureTransactionsOnFetch, isProcessBeforeFiltering, queryForInterface, remove, setAccessFilter, setAccessStubFilter, setApplyFilterProcessingRecursively, setDeleteEntriesIndividually, setEnsureTransactionsOnFetch, setExposesInterfaces, setFetchProcessor, setPreStoreHandler, setProcessBeforeFiltering, setProcessBeforeFiltering, setStoreHandler, setStubProcessor, size, unwrap, update, wrapFilterForProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBDocumentStore

    public DBDocumentStore(Database<Connection> db,
                           IDFactory idFactory,
                           Class<T> type)
                    throws DatabaseException

  uses a table named 'dokumente'

  Throws:
    `DatabaseException`

### DBDocumentStore

    public DBDocumentStore(Database<Connection> db,
                           String tableName,
                           String idColumn,
                           String displayColumn,
                           IDFactory idFactory,
                           String query,
                           Class<T> type)
                    throws DatabaseException

Throws:
  `DatabaseException`

### DBDocumentStore

    public DBDocumentStore(Database<Connection> db,
                           ObjectRowMapper<T> mapper,
                           Class<T> type)

Method Detail

### setRelationshipManager

    public void setRelationshipManager(RelationshipManager rm)
                                throws IllegalStateException

  Throws:
    `IllegalStateException`

### getRelationshipManager

    public RelationshipManager getRelationshipManager()
                                               throws IllegalStateException

  Throws:
    `IllegalStateException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads